MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032301Open CASCADE[OCCT] OCCT:Visualizationpublic2021-04-14 12:122021-04-17 14:02
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.6.0* 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032301: Visualization, TKOpenGl - depth peeling is broken with OpenGl_Caps::buffersOpaqueAlpha option
DescriptionDepth peeling doesn't work as expected with OpenGl_Caps::buffersOpaqueAlpha tuned ON.
Steps To Reproduce
test opengl transparency oit 1
vcaps -opaqueAlpha 1


pload XDE VISUALIZATION MODELING
readstl s Block_Island_08152013.stl
vdriver -load GLES
vcaps -opaqueAlpha 1
vinit View1
vdisplay -dispMode 1 s
vfit
vaspects s -material STONE -transparency 0.5
vrenderparams -oit OFF
vrenderparams -oit weight
vrenderparams -oit peel 4


GLES info:
EGLVersion: 1.4 Android META-EGL
EGLVendor: Android
EGLClientAPIs: OpenGL_ES
GLvendor: Qualcomm
GLdevice: Adreno (TM) 512
GLversion: OpenGL ES 3.2 V@331.0 (GIT@cf57c9c, I1cb5c4d1cc) (Date:09/23/18)
GLSL: OpenGL ES GLSL ES 3.20
Max texture size: 16384
Max FBO dump size: 16384x16384
Max combined texture units: 96
Max MSAA samples: 4
Viewport: 1080x2130
ResolutionRatio: 3.66667
Display scale: 2.75
TagsNo tags attached.
Test case numberNot required
Attached Filesjpg file icon depth_peel_adreno512_KO.jpg (104,156 bytes) 2021-04-14 12:12
png file icon depth_peel_radeon_OK.png (309,038 bytes) 2021-04-14 12:12
7z file icon Block_Island_08152013.stl.7z (2,494,466 bytes) 2021-04-14 12:13

- Relationships
child of 0031597verifiedbugmaster Open CASCADE Visualization, TKOpenGl - allow disabling Alpha component writes within OpenGl_Context::ColorMask() 

-  Notes
(0100319)
git (administrator)
2021-04-15 15:35

Branch CR32301 has been created by kgv.

SHA-1: 665e7368ebff5a75b5451897e99413215c1a168d


Detailed log of new commits:

Author: kgv
Date: Thu Apr 15 15:34:52 2021 +0300

    0032301: Visualization, TKOpenGl - depth peeling is broken with OpenGl_Caps::buffersOpaqueAlpha option
    
    OpenGl_LayerList::renderTransparent() - color mask is now set to write into Alpha channel of depth peeling FBOs.
    OpenGl_View::blitBuffers() - avoid using undefined color for glClear(GL_COLOR_BUFFER_BIT) operation.
(0100324)
kgv (developer)
2021-04-15 17:51

Patch is ready for review
- OCCT: branch CR32301.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32301-master-KGV/ [^]
(0100329)
osa (developer)
2021-04-16 09:30

The patch was reviewed without remarks
(0100393)
bugmaster (administrator)
2021-04-17 13:09

Combination -
OCCT branch : IR-2021-04-16
master SHA - 1294d5e39ed35dc97b2241956855fe794a03b0d8
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-16 SHA - 03c3cb382950144b11c09108f24673216c4e5922
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17987.850000000446 / 18020.24000000038 [-0.18%]
Products
Total CPU difference: 11564.760000000093 / 11543.43000000007 [+0.18%]
Windows-64-VC14:
OCCT
Total CPU difference: 19496.34375 / 19510.890625 [-0.07%]
Products
Total CPU difference: 12932.890625 / 12891.265625 [+0.32%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100400)
git (administrator)
2021-04-17 14:02

Branch CR32301 has been deleted by inv.

SHA-1: 665e7368ebff5a75b5451897e99413215c1a168d

- Related Changesets
occt: master 57357010
Timestamp: 2021-04-15 12:34:52
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032301: Visualization, TKOpenGl - depth peeling is broken with OpenGl_Caps::buffersOpaqueAlpha option

OpenGl_LayerList::renderTransparent() - color mask is now set to write into Alpha channel of depth peeling FBOs.
OpenGl_View::blitBuffers() - avoid using undefined color for glClear(GL_COLOR_BUFFER_BIT) operation.
mod - src/OpenGl/OpenGl_LayerList.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - tests/opengl/data/transparency/oit Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-04-14 12:12 kgv New Issue
2021-04-14 12:12 kgv Assigned To => kgv
2021-04-14 12:12 kgv File Added: depth_peel_adreno512_KO.jpg
2021-04-14 12:12 kgv File Added: depth_peel_radeon_OK.png
2021-04-14 12:13 kgv File Added: Block_Island_08152013.stl.7z
2021-04-14 12:13 kgv Relationship added child of 0031571
2021-04-14 12:29 kgv Steps to Reproduce Updated View Revisions
2021-04-14 12:29 kgv Steps to Reproduce Updated View Revisions
2021-04-15 13:54 kgv Summary Visualization, TKOpenGl - depth peeling is broken on Adreno => Visualization, TKOpenGl - depth peeling is broken with OpenGl_Caps::buffersOpaqueAlpha option
2021-04-15 13:54 kgv Description Updated View Revisions
2021-04-15 13:54 kgv Steps to Reproduce Updated View Revisions
2021-04-15 14:38 kgv Steps to Reproduce Updated View Revisions
2021-04-15 15:35 git Note Added: 0100319
2021-04-15 16:40 kgv Relationship added child of 0031597
2021-04-15 17:51 kgv Note Added: 0100324
2021-04-15 17:51 kgv Assigned To kgv => osa
2021-04-15 17:51 kgv Status new => resolved
2021-04-16 09:30 osa Note Added: 0100329
2021-04-16 09:30 osa Assigned To osa => bugmaster
2021-04-16 09:30 osa Status resolved => reviewed
2021-04-17 13:09 bugmaster Note Added: 0100393
2021-04-17 13:09 bugmaster Status reviewed => tested
2021-04-17 13:15 bugmaster Test case number => Not required
2021-04-17 13:41 bugmaster Changeset attached => occt master 57357010
2021-04-17 13:41 bugmaster Status tested => verified
2021-04-17 13:41 bugmaster Resolution open => fixed
2021-04-17 14:02 git Note Added: 0100400


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker